# IceGrid::NodeDynamicInfo

## Overview

### struct NodeDynamicInfo

Dynamic information about the state of a node.

#### Used By

NodeDynamicInfoSeq
NodeObserver::nodeUp

## Data Member Index

info
  Some static information about the node.
servers
  The dynamic information of the servers deployed on this node.
adapters
  The dynamic information of the adapters deployed on this node.

## Data Members

NodeInfo info;

  Some static information about the node.

ServerDynamicInfoSeq servers;

  The dynamic information of the servers deployed on this node.

AdapterDynamicInfoSeq adapters;

  The dynamic information of the adapters deployed on this node.